Bug 53262 - g++3 includes wrong include files
g++3 includes wrong include files
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-05 14:56 EDT by darkeye
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:31:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description darkeye 2001-09-05 14:56:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.4 i686)

Description of problem:
Can not compile with standard c++ include files if a -I/usr/include flag is
given to the compiler

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create a sample C++ source file, try.cpp:

#include <iostream.h>
int main( void ) { cout << "hello" << endl << flush; return 0; }

2. try to compile:

g++3 -o try try.cpp

compiles OK

3. try to compile:

g++3 -I/usr/include -o try try.cpp

A vast array of error messages come, see below

Actual Results:  When executing step 3 above, a miriad of error messages
come from the compiler, noting some mess with include files. The first one:

In file included from /usr/include/g++-v3/cstdio:31,
                 from
/usr/include/g++-v3/i386-redhat-linux/bits/c++io.h:35,
                 from /usr/include/g++-v3/bits/fpos.h:39,
                 from /usr/include/g++-v3/bits/std_iosfwd.h:41,
                 from /usr/include/g++-v3/bits/std_ios.h:39,
                 from /usr/include/g++-v3/bits/std_ostream.h:39,
                 from /usr/include/g++-v3/bits/std_iostream.h:40,
                 from /usr/include/g++-v3/backward/iostream.h:32,
                 from try.cpp:1:
/usr/include/g++-v3/bits/std_cstdio.h:41:24: stdio.h: No such file or
directory

Expected Results:  a clean compile

Additional info:

I have installed gcc3-c++ from the roswell beta, on a RedHat 7.1 system. I
have the following packages installed:

# rpm -qa | grep gcc
gcc-c++-2.96-85
libgcc-3.0-6
gcc-2.96-85
gcc3-3.0-6
gcc3-c++-3.0-6

# rpm -qa | grep libstd 
libstdc++3-devel-3.0-6
libstdc++-devel-2.96-85
libstdc++3-3.0-6
compat-libstdc++-6.2-2.9.0.14
libstdc++-2.96-85

# rpm -qa | grep glibc
glibc-common-2.2.4-5
glibc-devel-2.2.4-5
compat-glibc-6.2-2.1.3.2
glibc-2.2.4-5
glibc-profile-2.2.4-5

Apperantly there is a messup with the include files. I have two sets of
g++3 include files, in directories:

/usr/include/g++-3/
/usr/include/g++-v3/

these belonging to the following rpms respectively:

libstdc++-devel-2.96-85
libstdc++3-devel-3.0-6
Comment 1 Jakub Jelinek 2001-09-06 11:49:19 EDT
See http://gcc.gnu.org/ml/gcc-patches/2001-09/msg00089.html
for a fix and e.g. http://gcc.gnu.org/ml/gcc/2001-09/msg00032.html
and following thread for related discussion.
This patch was included in gcc3-3.0.1-3.
Comment 2 Bill Nottingham 2006-08-04 16:31:08 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.